GDB (xrefs)

Functions
common-gdbthread.h File Reference

Go to the source code of this file.

## Functions
void | switch_to_thread (ptid_t ptid)

## Function Documentation

## ◆ switch_to_thread()

void switch_to_thread | ( | ptid_t | ptid | ) |

Definition at line 1445 of file thread.c.

References find_thread_ptid(), null_ptid, switch_to_no_thread(), and switch_to_thread().

Referenced by add_inferior_command(), attach_post_wait(), clean_up_just_stopped_threads_fsms(), clone_inferior_command(), context_switch(), core_open(), detach_inferior_command(), displaced_step_fixup(), dispose_inferior(), follow_fork(), gdbsim_close_inferior(), handle_inferior_event_1(), handle_vfork_child_exec_or_exit(), inferior_command(), keep_going_stepped_thread(), kill_inferior_command(), kill_or_detach(), mi_cmd_execute(), mi_cmd_remove_inferior(), mi_cmd_target_detach(), print_one_stopped_thread(), proceed(), proceed_after_attach_callback(), proceed_after_vfork_done(), proceed_thread(), proceed_thread_callback(), restart_threads(), run_one_inferior(), start_step_over(), startup_inferior(), switch_to_program_space_and_thread(), switch_to_thread_cleanup(), task_command_1(), thpy_switch(), and value_of_root_1().